package kdn.poc.websocket.jetty8;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

import org.eclipse.jetty.server.Server;


public class PocWebSocketServletContextListener implements ServletContextListener{

	private Server server;
	
	@Override
	public void contextDestroyed(ServletContextEvent arg0) {
		if (server != null) {
			try {
				// stop the Jetty server.
				server.stop();
			} catch (Exception e) {
				e.printStackTrace();
			}
		}
	}

	@Override
	public void contextInitialized(ServletContextEvent arg0) {
		
		System.out.println("PocWebSocketServletContextListener has received a servlet context event.");
		try{
			this.server = new Server(8081);

//			server.setHandler(new PocWebSocketHandler());

			PocWebSocketHandler handler = new PocWebSocketHandler();
			handler.setHandler(new org.eclipse.jetty.server.handler.DefaultHandler());
			server.setHandler(handler);

			server.start();
		}catch(Throwable e){
			e.printStackTrace();
		}
		
	}

}
